%define upstream_name Gtk3
%define upstream_version 0.014

%define perl_glib_require 1.260

Summary:	Perl module for the GTK+-3.x library
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	2
License:	LGPLv2+
Group:		Development/GNOME and GTK+
Url:		http://gtk2-perl.sf.net/
Source0:	http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
# helper for exception management:
Patch1:		exceptions.diff
Patch5:		pango.diff
# set up GdkX11:
Patch6:		GdkX11.diff
Patch7:		gio.diff
BuildRequires:	perl-devel
BuildRequires:	perl(Cairo::GObject) >= 1.0.0
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires:	perl(Glib) >= %{perl_glib_require}
BuildRequires:	perl(Glib::Object::Introspection)
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
# for test suite:
#BuildRequires: x11-server-xvfb
BuildRequires:	typelib(Gtk) = 3.0
Requires:	typelib(Gtk) = 3.0
Requires:	typelib(Gdk) = 3.0
Requires:	typelib(Pango) = 1.0
BuildArch:	noarch

%description
This module provides perl access to the GTK+-3.x library.

GTK+ is the GIMP ToolKit, a library for creating graphical user interfaces
for the X Window System. GTK+ was originally written for the GIMP (GNU Image
Manipulation Program) image processing program, but is now used by several
other programs as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches
rm -f lib/Gtk3.pm.*
perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="%{optflags}"

%install
%makeinstall_std

%check
# (TV) Test suite won't work in iurt (not enough stuff configured):
exit 0
xvfb-run %make test

%files
%doc LICENSE META.yml MYMETA.yml NEWS README
%{perl_vendorlib}/%{upstream_name}.pm
%{_mandir}/*/*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.14.0-2
+ Revision: cf0eda8
- MassBuild#440: Increase release tag


